BOARD
ID="CPQ1001"
NAME="COMPAQ Portable 486"
MFR="COMPAQ"
CATEGORY="SYS"
SLOT=EMB(0)
READID=YES
SIZING=0
VERSION=1.27
REV=1

SYSTEM
NONVOLATILE=4096
AMPERAGE=12000
SLOT(1)=EISA(1)
SLOT(2)=EISA(2)
SLOT(3)=OTHER(3),"CPQ_EOS"      LABEL="Enhanced"

MEMORY=640K  ADDRESS=0K   CACHE=YES STEP=128K
MEMORY=256K  ADDRESS=640K CACHE=NO
MEMORY=1023M ADDRESS=896K CACHE=YES STEP=128K

SWITCH(1)=6
NAME="SW1"
STYPE=DIP
REVERSE=YES
VERTICAL=NO
FACTORY=LOC(1-6)000000
INITVAL=LOC(1-6)000000
COMMENTS="Switch Positions:
\n1 -  ON =Integrated video enabled.
\n     OFF=Integrated video disabled.
\n2 -  OFF=Unlock EISA Configuration.
\n     ON =Lock EISA Configuration.
\n3 -  OFF=Floppy write enabled.
\n     ON =Floppy write disabled.
\n4 -  OFF=Floppy boot control dependent on configuration selection.
\n     ON =Floppy boot enabled (configuration selection override).
\n5 -  OFF=User password override disabled.
\n     ON =User password override enabled.
\n6 -  OFF=EISA configuration override disabled.
\n     ON =EISA configuration override enabled."

INCLUDE="CPQSYS01.OVL"
BEGINOVL

;os
INCLUDE="CPQOS.CMN"

;sid
FUNCTION="System Identification Number"
CHOICE="None"
CHOICE=""

;proc
FUNCTION="System Processor"
TYPE ="CPU,80486;SPE=33"
CHOICE= "80486 at 33MHz"
FREE
IRQ=13
SHARE="SYSIRQA"
FUNCTION="387 Numeric Coprocessor"
TYPE="NPX"
CHOICE="" 
FUNCTION="" SHOW=NO CHOICE=""
FUNCTION="" SHOW=NO CHOICE=""

;floppy
GROUP="Integrated Diskette Controller"
INCLUDE="CPQFPYx.CMN"
FUNCTION="" SHOW=NO CHOICE=""
ENDGROUP

;fdisk
GROUP="Integrated Fixed Disk Controller"
INCLUDE="CPQDKIF.CMN"
FUNCTION="Drive Type - Unit 1"
COMMENTS="\nCAUTION: The attached disk drive type was automatically
determined.  This selection may be changed, but selecting the wrong
drive type will cause improper operation of the fixed disk.\n\n"
TYPE="MSD,UNIT0,DSKDRV"
INCLUDE="CPQDKTYP.CMN"
FUNCTION="" SHOW=NO CHOICE=""
ENDGROUP

;memory
FUNCTION="System Rom" SHOW=NO CHOICE=""
FREE
MEMORY=128K ADDRESS=896K CACHE=YES MEMTYPE=OTH WRITABLE=NO
GROUP="COMPAQ Memory"
TYPE="MEM;COMPAQ"
FUNCTION="Base Memory"
CHOICE="640 Kbytes, COMPAQ compatible"
TOTALMEM=1M-32M STEP=128K 
FREE
MEMORY=640K                ADDRESS=0K     CACHE=YES
MEMORY=256K                ADDRESS=16000K CACHE=YES MEMTYPE=OTH
MEMORY=128K                ADDRESS=16256K CACHE=YES MEMTYPE=OTH WRITABLE=NO
MEMORY=0M-14976K STEP=128K ADDRESS=1M     CACHE=YES
MEMORY=0M-48M    STEP=128K ADDRESS=16M    CACHE=YES
CHOICE="512 Kbytes, COMPAQ compatible"
TOTALMEM=1M-32M STEP=128K 
HELP="The Configuration Utility may run out of memory when
reconfiguring the system if the base memory is set to 512K,
especially in complicated configurations.  If it does, you will be
notified of what actions to take."
FREE
MEMORY=512K                 ADDRESS=0K     CACHE=YES 
MEMORY=384K                 ADDRESS=15872K CACHE=YES MEMTYPE=OTH 
MEMORY=128K                 ADDRESS=16256K CACHE=YES MEMTYPE=OTH WRITABLE=NO 
MEMORY=0M-14848K STEP=128K  ADDRESS=1M     CACHE=YES
MEMORY=0M-48M    STEP=128K  ADDRESS=16M    CACHE=YES
CHOICE="640 Kbytes, Linear"
TOTALMEM=1M-32M STEP=128K 
HELP="This choice contiguously maps memory so that COMPAQ Built-In Memory is 
not available at FA0000, but is instead added into extended memory.  The 
previously reserved memory area at FE0000 is now available for use by 
additional memory.  If your applications do not support this memory 
configuration, reconfigure your system as 640K COMPAQ Compatible."
FREE
MEMORY=640K             ADDRESS=0K       CACHE=YES
MEMORY=0K               ADDRESS=0K
MEMORY=128K             ADDRESS=4194176K CACHE=YES MEMTYPE=OTH WRITABLE=NO
MEMORY=0M-15M STEP=128K ADDRESS=1M       CACHE=YES
MEMORY=0M-48M STEP=128K ADDRESS=16M      CACHE=YES
FUNCTION="Total Memory"
CHOICE=""
ENDGROUP

;security
INCLUDE="CPQSEC3.CMN"

GROUP="Power-on Features"
FUNCTION="Diskette boot control"
HELP="This feature enables and disables system startup
from the diskette drive.  Disabling diskette boot
prevents the drive from being used to start the computer.
The diskette drive, however, remains active for all
other transactions such as reading or writing to a diskette."
CHOICE="Enabled"
CHOICE="Disabled"
FUNCTION="Fixed disk drive timeout"
CHOICE="Disabled"
SUBTYPE="CMOS=2A1F00"
CHOICE=" 1 minute spin down"
SUBTYPE="CMOS=2A1F01"
CHOICE=" 3 minute spin down"
SUBTYPE="CMOS=2A1F03"
CHOICE=" 5 minute spin down"
SUBTYPE="CMOS=2A1F05"
CHOICE="10 minute spin down"
SUBTYPE="CMOS=2A1F0A"
CHOICE="15 minute spin down"
SUBTYPE="CMOS=2A1F0F"
ENDGROUP

;integrated i/f
GROUP="Integrated Interfaces"
INCLUDE="CPQSER1M.CMN"
IOPORT(80)=0C40h INITVAL=rrxxrrxx
IOPORT(82)=0C43h INITVAL=xxxxrrrr
FUNCTION="CD Rom Adapter"
TYPE="MSD,CDROM1"
CHOICE="Resources Enabled"
LINK
PORT=3E0h-3EFh|330h-33Fh
INIT=IOPORT(80)LOC(5 4)01|11 
LINK
IRQ=9|5|7
INIT=IOPORT(82)LOC(5 4)11|01|10
LINK
DMA=3|1
INIT=IOPORT(82)LOC(7 6)10|01
CHOICE="Resources Disabled"
DISABLE=YES
LINK
INIT=IOPORT(80)LOC(4)0 
INIT=IOPORT(82)LOC(7-4)0000

INCLUDE="CPQPAR1M.CMN"
INCLUDE="CPQPNTR.CMN"
ENDGROUP

;integrated vga
INCLUDE="CPQVGAI2.CMN"

;adv features
INCLUDE="CPQFEAT4.CMN"

ENDOVL

FUNCTION="Screen saver timeout"
COMMENTS="It is recommended that the screen saver be used
at all times.  This prevents possible image retention
on the display.  If image retention is seen, it can be
cleared by leaving the computer off for the amount of time
equal to the time it was on."
CHOICE="10 minutes"
SUBTYPE="CMOS=2C1F0A"
CHOICE=" 5 minutes"
SUBTYPE="CMOS=2C1F05"
CHOICE="15 minutes"
SUBTYPE="CMOS=2C1F0F"
CHOICE="Disabled"
SUBTYPE="CMOS=2C1F00"

;disable port C67h function
IOPORT(110)=0C94h INITVAL=000000xx
IOPORT(111)=0C9Ah INITVAL=rrrxrrrr
IOPORT(112)=0C6Dh INITVAL=rrrxxxrr
FUNCTION="" SHOW=NO CHOICE=""
FREE
INIT=IOPORT(110)LOC(1 0)11
INIT=IOPORT(111)LOC(4)0
INIT=IOPORT(112)LOC(4-2)101

FUNCTION="Processor Control" SHOW=NO CHOICE=""
FREE
MEMORY=1K ADDRESS=80C00000h MEMTYPE=VIR SIZE=DWORD CACHE=NO
FREE
IRQ=13 SHARE="SYSIRQA"

FUNCTION="" TYPE="ISA" SHOW=NO CHOICE=""
SUBTYPE="MAP"
FREEFORM=30,61h,62h,0E0h,0E0h,0E0h,0E0h,0E0h,0E0h,0E0h,0E0h,0E0h,0E0h,0E0h,
0E0h,0E0h,1,2,0,0,0,0,0,0,0,0,0,0,0,0,0







